import request from '@/utils/request'

// 查询外协单从列表
export function listDetail(query) {
  return request({
    url: '/business/detail/list',
    method: 'get',
    params: query
  })
}

// 查询外协单从详细
export function getDetail(id) {
  return request({
    url: '/business/detail/' + id,
    method: 'get'
  })
}

// 新增外协单从
export function addDetail(data) {
  return request({
    url: '/business/detail',
    method: 'post',
    data: data
  })
}

// 修改外协单从
export function updateDetail(data) {
  return request({
    url: '/business/detail',
    method: 'put',
    data: data
  })
}

// 删除外协单从
export function delDetail(id) {
  return request({
    url: '/business/detail/' + id,
    method: 'delete'
  })
}
